STTY(1)

NAZWA
stty - zmienia i wyświetla ustawienia wierszy terminala

SKŁADNIA
stty [-F URZĄDZENIE | --file=URZĄDZENIE] [USTAWIENIA]...
stty [-F URZĄDZENIE | --file=URZĄDZENIE] [-a | --all]
stty [-F URZĄDZENIE | --file=URZĄDZENIE] [-G | --save]

OPIS

Wyświetla lub zmienia ustawienia terminala.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --all
    wyświetla wszystkie aktualne ustawienia w postaci czytelnej dla człowieka

-g, --save
    wyświetla wszystkie aktualne ustawienia w postaci czytelnej dla stty

-F, --file=URZĄDZENIE
    otwiera i używa podanego URZĄDZENIA zamiast standardowego wejścia

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Opcjonalny znak - przed USTAWIENIEM oznacza zaprzeczenie. Znak * oznacza ustawienia spoza POSIX. System sam określa, które ustawienia są dostępne.

  Znaki specjalne:

* discard ZNAK
    ZNAK przełącza porzucanie wyjścia

eof ZNAK
    ZNAK wysyła znak końca pliku (końca wejścia)

eol ZNAK
    ZNAK wysyła znak końca wiersza

* eol2 ZNAK
    alternatywny ZNAK końca wiersza

erase ZNAK
    ZNAK kasuje ostatni wprowadzony znak

intr ZNAK
    ZNAK wysyła sygnał przerwania

kill ZNAK
    ZNAK kasuje bieżący wiersz

* lnext ZNAK
    ZNAK wprowadza następny znak w cudzysłowie

quit ZNAK
    ZNAK wysyła sygnał zamknięcia

* rprnt ZNAK
    ZNAK powtarza bieżący wiersz

start ZNAK
    ZNAK wznawia wyświetlanie

stop ZNAK
    ZNAK wstrzymuje wyświetlanie

susp ZNAK
    ZNAK wysyła do terminala sygnał stop

* swtch ZNAK
    ZNAK włącza inną warstwę powłoki

* werase ZNAK
    ZNAK kasuje ostatnie wprowadzone słowo

  Ustawienia specjalne:

N   ustawia prędkość wejściową i wyjściową na N bodów

* cols N
    wysyła jądru informację, że terminal ma szerokość N kolumn

* columns N
    jak cols N

* [-]drain
    czeka na transmisję przed zastosowaniem ustawień (domyślnie włączone)

ispeed N
    ustawia prędkość wejściową na N

* line N
    używa rygoru wiersza (line discipline) N

min N
    z opcją -icanon, ustawia minimalną wartość N znaków dla pełnego odczytu

ospeed N
    ustawia prędkość wyjściową na N

* rows N
    wysyła jądru informację, że terminal ma N wierszy

* size
    wyświetla liczbę wierszy i kolumn zgodnie z ustawieniami jądra

speed
    wyświetla prędkość terminala

time N
    z opcją -icanon, ustawia czas oczekiwania odczytu na N dziesiątych sekundy

  Ustawienia sterujące

[-]clocal
    wyłącza sygnały sterowania modemu

[-]cread
    włącza odbiór z wejścia

* [-]crtscts
    włącza pakiet powitalny negocjacji protokołu RTS/CTS

csN ustawia rozmiar znaku na N bitów (w zakresie 5-8)

[-]cstopb
    używa dwóch bitów stop na znak (jeden z -)

[-]hup
    wysyła sygnał rozłączenia, gdy ostatni proces zamknie tty

[-]hupcl
    jak [-]hup

[-]parenb
    ustawia bit parzystości w wyjściu i oczekuje go w wejściu

[-]parodd
    ustawia nieparzystość (a nawet parzystość - z -)

* [-]cmspar
    używa parzystości "stick" (oznacz/spacja)

  Ustawienia wejścia:

[-]brkint
    znak break wysyła sygnał przerwania

[-]icrnl
    zamienia znak powrotu karetki na znak nowego wiersza

[-]ignbrk
    ignoruje znaki break

[-]igncr
    ignoruje znak powrotu karetki

[-]ignpar
    ignoruje znaki z błędami parzystości

* [-]imaxbel
    brzęczy i nie opróżnia pełnego bufora po wprowadzeniu znaku

[-]inlcr
    zamienia znak nowego wiersza na powrót karetki

[-]inpck
    włącza sprawdzanie parzystości wejścia

[-]istrip
    zeruje najstarszy (ósmy) bit znaków na wejściu

* [-]iutf8
    przyjmuje, że znaki wejściowe są kodowane w UTF-8

* [-]iuclc
    zamienia wielkie litery na małe

* [-]ixany
    każdy znak wznawia transmisję, nie tylko start

[-]ixoff
    włączy wysyłanie znaków start/stop

[-]ixon
    włącza protokół sterowania przesyłem XON/XOF

[-]parmrk
    oznacza błędy parzystości (sekwencją 255-0-znak)

[-]tandem
    jak [-]ixoff

  Ustawienia wyjścia:

* bsN
    styl opóźnienia po znaku backspace, w zakresie 0-1

* crN
    styl opóźnienia po znaku powrotu karetki, w zakresie 0-3

* ffN
    styl opóźnienia po znaku wysuwu strony, w zakresie 0-1

* nlN
    styl opóźnienia po znaku nowego wiersza, w zakresie 0-1

* [-]ocrn1
    zamienia znak powrotu karetki na znak nowego wiersza

* [-]ofdel
    używa znaku DEL, zamiast NUL jako znaku wypełniającego

* [-]ofill
    używa znaków wypełniających, zamiast opóźnień transmisji

* [-]olcuc
    zamienia małe litery na wielkie

* [-]onlcr
    zamienia znak nowego wiersza na sekwencję powrót karetki - znak nowego wiersza

* [-]onlret
    znak nowego wiersza powoduje powrót karetki

* [-]onocr
    nie wypisuje powrotu karetki w pierwszej kolumnie

* [-]opost
    przetwarzanie znaków wyjściowych

* tabN
    styl opóźnienia przy tabulatorze poziomym, w zakresie 0-3

* tabs
    jak tab0

* -tabs
    jak tab3

* vtN
    styl opóźnienia przy tabulatorze pionowym, w zakresie 0-1

  Ustawienia lokalne:

[-]crterase
    wyświetla znak erase jako backspace-spacja-backspace

* crtkill
    kasuje cały wiersz zgodnie z ustawieniami echoprt i echoe

* -crtkill
    kasuje cały wiersz zgodnie z ustawieniami echoctl i echok

* [-]ctlecho
    wyświetla znaki kontrolne w notacji z daszkiem np. ^c

[-]echo
    wyświetla znaki z wejścia

* [-]echoctl
    jak [-]ctlecho

[-]echoe
    jak [-]crterase

[-]echok
    wyświetla znak nowego wiersza po znaku kill

* [-]echoke
    jak [-]crtkill

[-]echon1
    wyświetla znak nowego wiersza, nawet jeśli inne znaki nie są wyświetlane

* [-]echoprt
    wyświetla znaki skasowane wstecz między \ i /

* [-]extproc
    włącza "LINEMODE"; przydatne przy połączeniach z dużymi opóźnieniami

* [-]flusho
    porzuca wyjście

[-]icanon
    włącza znaki specjalne erase, kill, werase i rprnt

[-]iexten
    włącza znaki specjalne spoza specyfikacji POSIX

[-]isig
    włącza znaki specjalne interrupt, quit i suspend

[-]noflsh
    wyłącza opóźnianie bufora po wystąpieniu znaków specjalnych interrupt i quit

* [-]prterase
    jak [-]echoprt

* [-]tostop
    zatrzymuje procesy w tle, które próbują pisać do terminala

* [-]xcase
    z icanon, wyświetla wielkie znaki poprzedzając je \

  Kombinacje ustawień:

* [-]LCASE
    jak [-]lcase

cbreak
    jak -icanon

-cbreak
    jak icanon

cooked
    jak znaki brkint ignpar istrip icrnl ixon opost isig icanon, eof i eol ustawione na wartości domyślne

-cooked
    jak raw

crt jak echoe echoctl echoke

dec jak echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    jak [-]ixany

ek  ustawia znaki erase i kill na wartości domyślne

evenp
    jak parenb -parodd cs7

-evenp
    jak -parenb cs8

* [-]lcase
    jak xcase iuclc olcuc

litout
    jak -parenb -istrip -opost cs8

-litout
    jak parenb istrip opost cs7

nl  jak -icrnl -onlcr

-nl jak icrnl -inlcr -igncr onlcr -ocrnl -onlret

oddp
    jak parenb parodd cs7

-oddp
    jak -parenb cs8

[-]parity
    jak [-]evenp

pass8
    jak -parenb -istrip cs8

-pass8
    jak parenb istrip cs7

raw jak -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0

-raw
    jak cooked

sane
    jak cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho, wszystkie znaki specjalne na ich wartości domyślne

Obsługiwana jest linia tty podłączona do standardowego wejścia. Bez argumentów, wyświetlane są: prędkość transmisji, rygor linii i odchylenia od stty sane. W ustawieniach, ZNAK powinien być podany dosłownie lub zakodowany jako np. ^c, 0x37, 0177 lub 127; wartość specjalna ^- lub undef są używane do wyłączania znaków specjalnych.

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/stty>
lub lokalnie, za pomocą info '(coreutils) stty invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.